kdecore Library: NETExtendedStrut Struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETExtendedStrut Struct Reference

Partial strut class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions
| NETExtendedStrut ()
## Public Attributes
int | left_width
int | left_start
int | left_end
int | right_width
int | right_start
int | right_end
int | top_width
int | top_start
int | top_end
int | bottom_width
int | bottom_start
int | bottom_end

## Detailed Description

Partial strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values, and ranges for them. The existence of this class is to keep the implementation from being dependant on a separate framework/library. See the _NET_WM_STRUT_PARTIAL property in the NETWM spec.

Definition at line 153 of file netwm_def.h.

## Constructor & Destructor Documentation

NETExtendedStrut::NETExtendedStrut | ( |  | ) | `[inline]`

| Constructor to initialize this struct to 0,0,0,0. Definition at line 157 of file netwm_def.h. References bottom_end, bottom_start, bottom_width, left_end, left_start, left_width, right_end, right_start, right_width, top_end, top_start, and top_width.

## Member Data Documentation

int NETExtendedStrut::left_width

| Left border of the strut, width and range. Definition at line 164 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::left_start

| Left border of the strut, width and range. Definition at line 164 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::left_end

| Left border of the strut, width and range. Definition at line 164 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::right_width

| Right border of the strut, width and range. Definition at line 169 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::right_start

| Right border of the strut, width and range. Definition at line 169 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::right_end

| Right border of the strut, width and range. Definition at line 169 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::top_width

| Top border of the strut, width and range. Definition at line 174 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::top_start

| Top border of the strut, width and range. Definition at line 174 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::top_end

| Top border of the strut, width and range. Definition at line 174 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::bottom_width

| Bottom border of the strut, width and range. Definition at line 179 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::bottom_start

| Bottom border of the strut, width and range. Definition at line 179 of file netwm_def.h. Referenced by NETExtendedStrut().

int NETExtendedStrut::bottom_end

| Bottom border of the strut, width and range. Definition at line 179 of file netwm_def.h. Referenced by NETExtendedStrut().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003